Bug 210090 - net/shadowsocks-libev: update to 2.4.7
Summary: net/shadowsocks-libev: update to 2.4.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-07 09:41 UTC by Samuel Tseng
Modified: 2017-08-22 17:00 UTC (History)
6 users (show)

See Also:


Attachments
1.6.4-2.4.7 diff (3.57 KB, patch)
2016-06-07 09:41 UTC, Samuel Tseng
samuel: maintainer-approval+
Details | Diff
Patch from 1.6.4 to 2.4.7, revision 2 (3.29 KB, patch)
2017-03-23 12:34 UTC, Sergey Kostrukov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Tseng 2016-06-07 09:41:23 UTC
Created attachment 171125 [details]
1.6.4-2.4.7 diff

update shadowsocks-libev from 1.6.4 to 2.4.7
Comment 1 Pawel Pekala freebsd_committer 2016-06-19 14:51:03 UTC
There are some QA problems detected by ports framework:

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/ss-local is linked to /usr/local/lib/libcrypto.so.8 from security/openssl but it is not declared as a dependency
Warning: you need USE_OPENSSL=yes
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: man/man1/ss-nat.1.gz
Error: Orphaned: man/man1/ss-redir.1.gz
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1
Comment 2 Dmitry Marakasov freebsd_committer 2016-12-29 09:55:20 UTC
Samuel, ping. Please fix the mentioned issues.
Comment 3 Sergey Kostrukov 2017-03-23 12:34:43 UTC
Created attachment 181096 [details]
Patch from 1.6.4 to 2.4.7, revision 2

Hello,

I did some fixes to the patch.
check-plist, stage-qa seem to be good.

Never versions require more work, so I wanted to push the version first because it significantly newer anyways (Jun 1, 2016 vs Jan 7, 2015).
Comment 4 commit-hook freebsd_committer 2017-08-22 16:59:37 UTC
A commit references this bug:

Author: swills
Date: Tue Aug 22 16:58:40 UTC 2017
New revision: 448567
URL: https://svnweb.freebsd.org/changeset/ports/448567

Log:
  net/shadowsocks-libev: update to 2.4.7

  PR:		210090
  Submitted by:	Samuel Tseng <samuel@tseng.pw>
  Approved by:	xiaoding+freebsd@xiaoding.org (maintainer, timeout >4 months)

Changes:
  head/net/shadowsocks-libev/Makefile
  head/net/shadowsocks-libev/distinfo
  head/net/shadowsocks-libev/files/patch-libev__ev.c
  head/net/shadowsocks-libev/pkg-descr
  head/net/shadowsocks-libev/pkg-plist
Comment 5 Steve Wills freebsd_committer 2017-08-22 17:00:16 UTC
Committed, thanks!